Subject: Re: Comments on draft-ietf-disman-script-mib-06.txt

From: Randy Presuhn <[email-masked]>
Date: Wed, 16 Dec 1998 09:24:31 -0800 (PST)

Hi  -

> Date: Wed, 16 Dec 1998 17:01:08 +0100
> From: Juergen Schoenwaelder <[email-masked]>
> To: [email-masked]
> CC: [email-masked]
> Subject: Re: Comments on draft-ietf-disman-script-mib-06.txt
> References:  <[email-masked]>
> 
> 
> >>>>> Randy Presuhn writes:
> 
> Randy> Here are them comments on the script MIB that were mentioned at
> Randy> the meeting in Orlando.
> 
> Randy> 1) Minor Technical.  Clause 4.1 (3) on page 7 The last sentence
> Randy> of this bullet is an over-specification.  It is perfectly
> Randy> reasonable to have object identifiers not beneath {1 3 6 1 4
> Randy> 1}.  Proposal: delete the sentence reading: "The object
> Randy> identifier value is one of the arcs below the enterprise object
> Randy> identifier {1 3 6 1 4 1}."
> 
> I have removed the sentence.

Good.

> Randy> 2) Technical.  description of msLaunchOwner on pages 26 and 27
> Randy> The second and third sentences of the description appear to be
> Randy> contradictory.  Proposal: remove the contradiction.  David Levy
> Randy> knows what to do.  :-)
> 
> Below is another attempt to write this up. We hope this version is
> more readable than the previous one.
> 
>    smLaunchOwner OBJECT-TYPE
>        SYNTAX      SnmpAdminString (SIZE (0..32))
>        MAX-ACCESS  not-accessible
>        STATUS      current
>        DESCRIPTION
>            "The manager who owns this row in the smLaunchTable. Every
>             instance of a running script started from a particular entry
>             in the smLaunchTable (i.e. entries in the smRunTable) will be
>             owned by the same smLaunchOwner used to index the entry in
>             the smLaunchTable. Note however that the owner of the script
>             associated with entries in the smLaunchTable and
>             corresponding entries in the smRunTable may be different
>             (since the smLaunchScriptOwner object may refer to a
>             different owner than the smLaunchOwner object)."
>        ::= { smLaunchEntry 1 }
> 
> Please let us know if you have better wordings to go here.

Your new wording looks like a vast improvement.  Ship it.  :-)

> Randy> 3) Typo.  Description of smLaunchScriptOwner, page 27 Proposal:
> Randy> replace "this objects" with "this object"
> 
> Fixed.
> 
> Randy> 4) Typo / editorial?  Description of smLaunchStart on page 30
> Randy> There is a word (or more) missing in the phrase "requires to
> Randy> perform" at the top of the page.  (What performs the checks?)
> 
> The sentence now reads:
> 
>             If this object is set, the following checks must be
>             performed:

fine.

> Below is a diff for these fixes (plus two additional minor fixes that
> were agreed upon during the IESG MIB review but which somehow were
> lost) relative to draft-ietf-disman-script-mib-06.txt.
> 
> 							Juergen
> 
> diff -u -r1.6 sm.me
> --- sm.me	1998/11/19 15:45:02	1.6
> +++ sm.me	1998/12/16 15:54:12
> @@ -11,7 +11,7 @@
>  .pl 10.0i
>  .nr sf R
>  .nr fm 0 \}
> -.he 'Internet-Draft'Script MIB'November 1998'
> +.he 'Internet-Draft'Script MIB'December 1998'
>  .fo 'Levi & Schoenwaelder''[Page %ENDPAGE'
>  .hy 0
>  .de $0
> @@ -25,16 +25,16 @@
>  
>  Network Working Group                                         David Levi
>  Internet-Draft                                       SNMP Research, Inc.
> -Expires May 1999                                   Juergen Schoenwaelder
> +Expires June 1999                                  Juergen Schoenwaelder
>                                                           TU Braunschweig
> -                                                        18 November 1998
> +                                                        16 December 1998
>  .sp 1
>  .ce 2
>  Definitions of Managed Objects for the
>  Delegation of Management Scripts
>  .sp 1
>  .ce
> -<draft-ietf-disman-script-mib-06.txt>
> +<draft-ietf-disman-script-mib-07.txt>
>  
>  .ti 0
>  Status of this Memo
> @@ -217,9 +217,7 @@
>  additional language features provided by an implementor. An additional
>  object identifier value is provided which identifies the organization
>  which provides the implementation of a language. This might be used by
> -scripts that require a particular implementation of a language. The
> -object identifier value is one of the arcs below the enterprise
> -object identifier {1 3 6 1 4 1}.
> +scripts that require a particular implementation of a language.
>  .ip "   4." 8
>  Finally, there might be different versions of a language
>  implementation. A version number for the language implementation is
> @@ -483,7 +481,7 @@
>  	FROM SNMP-FRAMEWORK-MIB;
>  
>  scriptMIB MODULE-IDENTITY
> -    LAST-UPDATED "9811171800Z"
> +    LAST-UPDATED "9812161800Z"
>      ORGANIZATION "IETF Distributed Management Working Group"
>      CONTACT-INFO
>  	"David B. Levi
> @@ -836,7 +834,7 @@
>  	 - Empty value changes to non-empty value:
>  	       This destroys the local script (possibly deleting it
>  	       from non-volatile storage), and initiates a download
> -	       of the script source the specified location.
> +	       of the script source from the specified location.
>  	 - Non-empty value changes to empty value:
>  	       If the smScriptStorageType is non-volatile, the
>                 currently loaded script is written to non-volatile
> @@ -1123,12 +1121,15 @@
>      MAX-ACCESS  not-accessible
>      STATUS      current
>      DESCRIPTION
> -        "The manager who owns this row in the smLaunchTable. Every
> -	 script started from a particular entry in the smLaunchTable
> -	 will also be owned by the same smLaunchOwner used to index
> -	 the smLaunchTable entry. However, the owner of an entry in
> -	 the smLaunchTable is not necessarily the same as the owner
> -	 of the script to be launched. "
> +	"The manager who owns this row in the smLaunchTable. Every
> +	 instance of a running script started from a particular entry
> +	 in the smLaunchTable (i.e. entries in the smRunTable) will be
> +	 owned by the same smLaunchOwner used to index the entry in
> +	 the smLaunchTable. Note however that the owner of the script
> +	 associated with entries in the smLaunchTable and
> +	 corresponding entries in the smRunTable may be different
> +	 (since the smLaunchScriptOwner object may refer to a
> +	 different owner than the smLaunchOwner object)."
>      ::= { smLaunchEntry 1 }
>  
>  smLaunchName OBJECT-TYPE
> @@ -1155,7 +1156,7 @@
>  	"The value of this object in combination with the value of
>  	 smLaunchScriptName identifies the script that can be
>  	 launched from this smLaunchTable entry. Attempts to write
> -	 this objects will fail with an inconsistentValue error if
> +	 this object will fail with an inconsistentValue error if
>  	 the value of smLaunchOperStatus is `enabled'."
>      ::= { smLaunchEntry 3 }
>  
> @@ -1268,8 +1269,8 @@
>  	 special value 0 is however useful for scheduled script
>  	 invocations.
>  
> -	 Setting this object requires to perform the following
> -	 checks:
> +	 If this object is set, the following checks must be
> +	 performed:
>  
>  	 1) The value of the smLaunchOperStatus object in this
>  	    entry of the smLaunchTable must be `enabled'.
> @@ -1337,8 +1338,8 @@
>  	 rows which were created from this entry in the smLaunchTable
>  	 and whose value of smRunState allows the corresponding
>  	 state change as described in the definition of the
> -	 smRunControl object. Setting this object to nop(4) will
> -	 always succeed and has no effect."
> +	 smRunControl object. Setting this object to nop(4) has no
> +	 effect."
>      DEFVAL { nop }
>      ::= { smLaunchEntry 11 }
>  
> 

Looks good to me.  Thanks for the quick turnaround!

 -----------------------------------------------------------------------
 Randy Presuhn           Email: [email-masked]     http://www.bmc.com
 Voice: +1 408 616-3100  BMC Software, Inc.           965 Stewart Drive
 Fax:   +1 408 616-3101  Sunnyvale, California 94086  USA
 -----------------------------------------------------------------------
 In accordance with the BMC Communications Systems Use and Security
 Policy, I explicitly state that although my affiliation with BMC may be
 apparent, implied, or provided, my opinions are not necessarily those
 of BMC Software and that all external representations on behalf of
 BMC must first be cleared with a member of "the top management team."
 -----------------------------------------------------------------------

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Thu, 17 Dec 1998 15:04:23 +0100

>>>>> Randy Presuhn writes:

Randy> Your new wording looks like a vast improvement.  Ship it.  :-)

>>>>> Eamonn McManus <[email-masked]> writes:

Eamonn> I'm sorry to say that I find it *less* readable!

Looks like we did not find yet wordings which makes all of us happy. I
actually like Eamonn's replacement for the last "monster sentence".
So what about the following:

: smLaunchOwner OBJECT-TYPE
:     SYNTAX      SnmpAdminString (SIZE (0..32))
:     MAX-ACCESS  not-accessible
:     STATUS      current
:     DESCRIPTION
:         "The manager who owns this row in the smLaunchTable. Every
:          instance of a running script started from a particular entry
:          in the smLaunchTable (i.e. entries in the smRunTable) will be
:          owned by the same smLaunchOwner used to index the entry in
:          the smLaunchTable. This owner is not necessarily the same as
:          the owner of the script itself (smLaunchScriptOwner)."
:     ::= { smLaunchEntry 1 }

Please let me know ASAP if there is still something left to improve
here.
							Juergen
-- 
Juergen Schoenwaelder  [email-masked] http://www.cs.tu-bs.de/~schoenw
Technical University Braunschweig, Dept. Operating Systems & Computer Networks
Bueltenweg 74/75, 38106 Braunschweig, Germany.        (Tel. +49 531 / 391 3289)

---

From: David Levi <[email-masked]>
Date: Thu, 17 Dec 1998 09:48:38 -0500

> Please let me know ASAP if there is still something left to improve

I like this wording better as well.

-Dave